Bug 209424 - libz.a is executable
Summary: libz.a is executable
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: zlib   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-05 11:13 UTC by Ralf Corsepius
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-23 09:34:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralf Corsepius 2006-10-05 11:13:48 UTC
Description of problem:

The /usr/lib/libz.a contained inside of the rpm is executable
# rpm -qlvp zlib-devel-1.2.3-3.i386.rpm | grep libz.a
-rwxr-xr-x    1 root    root            92622 Jul 19 10:38 /usr/lib/libz.a

IMO, it should not be excutable.

Comment 1 Ivana Varekova 2006-10-23 09:34:16 UTC
Fixed in zlib-1.2.3-4.


Note You need to log in before you can comment on or make changes to this bug.